xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) 2008 Justin Bogner <mail@justinbogner.com>
License | BSD3-style (as xmonad)
Maintainer | Justin Bogner <mail@justinbogner.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.FixedColumn

Contents

- Usage

Description

A layout much like Tall, but using a multiple of a window's minimum resize amount instead of a percentage of screen to decide where to split. This is useful when you usually leave a text editor or terminal in the master pane and like it to be 80 columns wide.

Synopsis

- data FixedColumn a = FixedColumn !Int !Int !Int !Int

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.FixedColumn

Then edit your `layoutHook` by adding the FixedColumn layout:

    myLayout = FixedColumn 1 20 80 10 ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

data FixedColumn a Source #

A tiling mode based on preserving a nice fixed width window. Supports `Shrink`, `Expand` and `IncMasterN`.

Constructors

FixedColumn !Int !Int !Int !Int |

#### Instances

Instances details

LayoutClass FixedColumn Window Source # |

Instance details

Defined in XMonad.Layout.FixedColumn

Methods

runLayout :: Workspace WorkspaceId (FixedColumn Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (FixedColumn Window)) Source #

doLayout :: FixedColumn Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (FixedColumn Window)) Source #

pureLayout :: FixedColumn Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] Source #

emptyLayout :: FixedColumn Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (FixedColumn Window)) Source #

handleMessage :: FixedColumn Window -> SomeMessage -> X (Maybe (FixedColumn Window)) Source #

pureMessage :: FixedColumn Window -> SomeMessage -> Maybe (FixedColumn Window) Source #

description :: FixedColumn Window -> String Source #

Read (FixedColumn a) Source # |
Instance details Defined in XMonad.Layout.FixedColumn Methods readsPrec :: Int -> ReadS (FixedColumn a) Source # readList :: ReadS [FixedColumn a] Source # readPrec :: ReadPrec (FixedColumn a) Source # readListPrec :: ReadPrec [FixedColumn a] Source #
Show (FixedColumn a) Source # |
Instance details Defined in XMonad.Layout.FixedColumn Methods showsPrec :: Int -> FixedColumn a -> ShowS Source # show :: FixedColumn a -> String Source # showList :: [FixedColumn a] -> ShowS Source #